## org.eclipse.datatools.enablement.sybase.asa.models.sybaseasabasesqlmodel
Interface SybaseASABaseParameter

All Superinterfaces:
  org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, Parameter, SQLObject, SybaseParameter, TypedElement

All Known Implementing Classes:
  SybaseASABaseParameterImpl

    public interface SybaseASABaseParameter

extends Parameter, SybaseParameter

A representation of the model object 'Sybase ASA Base Parameter'.

The following features are supported:

- `Parm Type`

See Also:
  `SybaseasabasesqlmodelPackage.getSybaseASABaseParameter()`

Method Summary
`ParameterType` `getParmType()` Returns the value of the 'Parm Type' attribute.
`void` `setParmType(ParameterType value)` Sets the value of the '`Parm Type`' attribute.

Methods inherited from interface org.eclipse.datatools.enablement.sybase.models.sybasesqlmodel.SybaseParameter
`getDefaultValue, getJDBCParameterType, isNullable, setDefaultValue, setJDBCParameterType, setNullable`

Method Detail

### getParmType

    ParameterType getParmType()

  Returns the value of the 'Parm Type' attribute. The literals are from the enumeration `ParameterType`.

  If the meaning of the 'Parm Type' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Parm Type' attribute.
  See Also:
    `ParameterType`, `setParmType(ParameterType)`, `SybaseasabasesqlmodelPackage.getSybaseASABaseParameter_ParmType()`

### setParmType

    void setParmType(ParameterType value)

  Sets the value of the '`Parm Type`' attribute.

  Parameters:
    `value` - the new value of the 'Parm Type' attribute.
  See Also:
    `ParameterType`, `getParmType()`